# priceListCharge

**Scope required:** product:read

For a complete list of possible response fields see the [PriceListCharge](/developer/api-reference/types/pricelistcharge.md) type.

```graphql
query priceListCharge ($id: ID, $code: String, $format: String) {
  priceListCharge (id: $id, code: $code, format: $format) {
    accountingCode
    avalaraAfcSaleType
    avalaraAfcServiceType
    avalaraAfcTransactionType
    basePrice
    code
    createdAt
    deprecated
    featureAddon
    featureId
    financialAccountId
    hidePeriodsOnInvoice
    id
    isTelecomCharge
    longName
    name
    position
    price
    priceDecimals
    priceDescription
    priceListId
    productId
    quantityMax
    quantityMin
    recognitionPeriod
    removeOnRenewal
    roundUpInterval
    selfServiceQuantity
    showPriceAsMonthly
    specificInvoiceLineText
    taxCode
    updatedAt
  }
}
```

## Arguments

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| id     | ID     |             |
| code   | String |             |
| format | String |             |

## Response

* [PriceListCharge](/developer/api-reference/types/pricelistcharge.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/pricelistcharge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
